Bug 430937 - growisofs on dvd fails on multiple models of burner
growisofs on dvd fails on multiple models of burner
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 13:25 EST by Doug Maxey
Modified: 2009-01-09 02:38 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:38:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2008-01-30 13:25:57 EST
Description of problem:
Sometime in the last 2 or three weeks, growisofs has stopped working, it 
produces only coasters.  It stopped while the kernel stayed the same.
Nor does it work with the newer kernel, and 2 different systems with
two different types of burners.

Version-Release number of selected component (if applicable):
dvd+rw-tools-7.0-7.fc8
kernel 2.6.23.9-85.fc8 or 2.6.23.14-107.fc8

How reproducible: 100%

Steps to Reproduce:
1. take a dvd sized image
2. growisofs -dvd-compat -Z /dev/sr0=Fedora-8-ppc-DVD.iso
3.
  
Actual results:
$ growisofs -dvd-compat -Z /dev/sr0=Fedora-8-ppc-DVD.iso
Executing 'builtin_dd if=Fedora-8-ppc-DVD.iso of=/dev/sr0 obs=32k seek=0'
/dev/sr0: "Current Write Speed" is 2.0x1352KBps.
:-[ WRITE@LBA=10h failed with SK=5h/ASC=21h/ACQ=02h]: Invalid argument
:-( write failed: Invalid argument
/dev/sr0: flushing cache
/dev/sr0: updating RMA
/dev/sr0: closing disc


Expected results:
This was working with the 2.6.23.9-85.fc8, something changed, which I assume
was the dvd+rw tools.  

Additional info:
This is on both i686 and x86_64 with 
---
# sg_inq /dev/sr0
standard INQUIRY:
  PQual=0  Device_type=5  RMB=1  version=0x05  [SPC-3]
  [AERC=0]  [TrmTsk=0]  NormACA=1  HiSUP=1  Resp_data_format=2
  SCCS=0  ACC=0  TGPS=0  3PC=0  Protect=0  BQue=0
  EncServ=0  MultiP=0  [MChngr=0]  [ACKREQQ=0]  Addr16=0
  [RelAdr=0]  WBus16=0  Sync=0  Linked=0  [TranDis=0]  CmdQue=0
  [SPI: Clocking=0x0  QAS=0  IUS=0]
    length=96 (0x60)   Peripheral device type: cd/dvd
 Vendor identification: HL-DT-ST
 Product identification: DVDRAM GSA-4040B
 Product revision level: A109
----
standard INQUIRY:
  PQual=0  Device_type=5  RMB=1  version=0x05  [SPC-3]
  [AERC=0]  [TrmTsk=0]  NormACA=1  HiSUP=1  Resp_data_format=2
  SCCS=0  ACC=0  TGPS=0  3PC=0  Protect=0  BQue=0
  EncServ=0  MultiP=0  [MChngr=0]  [ACKREQQ=0]  Addr16=0
  [RelAdr=0]  WBus16=0  Sync=0  Linked=0  [TranDis=0]  CmdQue=0
  [SPI: Clocking=0x0  QAS=0  IUS=0]
    length=96 (0x60)   Peripheral device type: cd/dvd
 Vendor identification: PLEXTOR 
 Product identification: DVDR   PX-755A  
 Product revision level: 1.07
Comment 1 Doug Maxey 2008-01-30 14:52:38 EST
Update: 

1) cd burning seems to be ok on the HL-DT-ST.
2) on the dvd-r fail it seems to have been scribbled on the first 1/3 of the 
   disc, even though the fail message pops out in 5 sec or so.
Comment 2 Harald Hoyer 2008-01-31 08:46:43 EST
> Sometime in the last 2 or three weeks, growisofs has stopped working

Well growisofs hasn't changed... so maybe another source of the error?
Please think :) if the software hasn't changed and suddenly your burner doesn't
work. What would you blame first?
Comment 3 Harald Hoyer 2008-01-31 08:47:26 EST
btw, Plextor drives always have problems... some are not MMC compatible
Comment 4 Doug Maxey 2008-01-31 11:32:49 EST
(In reply to comment #2)
> > Sometime in the last 2 or three weeks, growisofs has stopped working
> 
> Well growisofs hasn't changed... so maybe another source of the error?
> Please think :) if the software hasn't changed and suddenly your burner doesn't
> work. What would you blame first?

Makes perfect sense.  2 different system, 2 different makes of burner, over the
course of a month stop.  Has to be the drives.  Right.
Comment 5 Doug Maxey 2008-01-31 11:34:33 EST
(In reply to comment #3)
> btw, Plextor drives always have problems... some are not MMC compatible

Hmm.  that is complete news to me.  What about the HL-DT-ST?  Those too?
Comment 6 Harald Hoyer 2008-01-31 12:01:08 EST
no, HL-DT are mostly fine.
Comment 7 Harald Hoyer 2008-01-31 12:02:47 EST
> Makes perfect sense.  2 different system, 2 different makes of burner, over the
> course of a month stop.  Has to be the drives.  Right.

what about the media? did you change the brand?
Comment 8 Doug Maxey 2008-01-31 12:43:07 EST
(In reply to comment #7) 
> what about the media? did you change the brand?

No.  Same batches of both dvd+rw and dvd-r, different brands at different
locations.  Initially saw on the +rw and figured I had worn the +rw out.  Tried
a new +rw disk, same thing.  Then coastered 3 dvd-r before figuring out that
something had changed.   Set the project aside.  

tried with the HL-DT-ST at the other office, with different brand media.  Same
error message.
Comment 9 Doug Maxey 2008-01-31 13:06:00 EST
Would this update have any effect?

Jan 13 16:13:21 Updated: libcdio - 0.78.2-5.fc8.x86_64
Comment 10 Harald Hoyer 2008-02-01 06:01:00 EST
no... dvd+rw-tools is not using any libraries besides c++, the standard c-libs
and the kernel

$ ldd /usr/bin/growisofs 
        linux-vdso.so.1 =>  (0x00007fffbf1fe000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00000033cfc00000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00000033d6400000)
        libm.so.6 => /lib64/libm.so.6 (0x00000033cf400000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00000033d4800000)
        libc.so.6 => /lib64/libc.so.6 (0x00000033cf000000)
        /lib64/ld-linux-x86-64.so.2 (0x00000033cde00000)

Are you sure the kernel did not change? dvd+rw-tools did not change since Sep 01.

$ rpm -qf /usr/bin/growisofs --changelog|head
* Sat Sep 01 2007 Matthias Saou <http://freshrpms.net/> 7.0-7

$ rpm -qf /usr/bin/growisofs 
dvd+rw-tools-7.0-7.fc8
Comment 11 Harald Hoyer 2008-02-01 06:01:25 EST
Does it work as root?
Comment 12 Doug Maxey 2008-02-01 13:29:30 EST
nope.
---------
# id
uid=0(root) gid=0(root)
groups=0(root),1(bin),2(daemon),3(sys),4(adm),6(disk),10(wheel)
context=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
# env |grep SUDO
# 
# sg_inq /dev/sr0; echo insert DVD-R media in HL-DT, wait 30 secs;  time
growisofs -dvd-compat -Z /dev/sr0=/home/download/fedora/8/ppc/Fedora-8-ppc-DVD.iso 
standard INQUIRY:
  PQual=0  Device_type=5  RMB=1  version=0x05  [SPC-3]
  [AERC=0]  [TrmTsk=0]  NormACA=1  HiSUP=1  Resp_data_format=2
  SCCS=0  ACC=0  TGPS=0  3PC=0  Protect=0  BQue=0
  EncServ=0  MultiP=0  [MChngr=0]  [ACKREQQ=0]  Addr16=0
  [RelAdr=0]  WBus16=0  Sync=0  Linked=0  [TranDis=0]  CmdQue=0
  [SPI: Clocking=0x0  QAS=0  IUS=0]
    length=96 (0x60)   Peripheral device type: cd/dvd
 Vendor identification: HL-DT-ST
 Product identification: DVDRAM GSA-4040B
 Product revision level: A109
insert DVD-R media in HL-DT, wait 30 secs
Executing 'builtin_dd if=/home/download/fedora/8/ppc/Fedora-8-ppc-DVD.iso
of=/dev/sr0 obs=32k seek=0'
/dev/sr0: "Current Write Speed" is 2.0x1352KBps.
      32768/4118646784 ( 0.0%) @0.0x, remaining 8379:20 RBU 100.0% UBU   2.6%
:-[ WRITE@LBA=10h failed with SK=5h/ASC=21h/ACQ=02h]: Invalid argument
:-( write failed: Invalid argument
/dev/sr0: flushing cache
/dev/sr0: updating RMA
/dev/sr0: closing disc

real    7m28.863s
user    0m0.034s
sys     0m0.182s
-----

Note the message SK=5h/ASC=21h/ACQ=02h pops out in a few seconds, but it takes
over 7 minutes to finish scribbling on the disk.

Comment 13 Bug Zapper 2008-11-26 04:38:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 02:38:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.